Can you make mods for older versions and/or change a mod's version?

Started by Withie The Cryptid on Thu, 11/24/2022 - 01:31

Topic category: Help with modding (Java Edition)

Last seen on 00:33, 27. Jan 2023
Joined Nov 2022
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
Can you make mods for older versions and/or change a mod's version?
Thu, 11/24/2022 - 01:31

I'm not exactly new to MCreator but it has been a very long time since I've used it. I understand that maybe MCreator wants to feel all new and up to date by having the software only able to make mods for newer versions, but I'm not exactly happy with this as, at least in my experience, newer versions of Minecraft can't handle mods as well as older versions like 1.7 (don't ask, I have no idea why that is either). Not to mention sometimes there are older features that would help enhance the mod idea I wanted to use that have been removed or changed due to newer updates (old combat system, old textures, old Villager trading system, etc.).

 

Is there any way to make mods for older versions of Minecraft whilst still using somewhat recent MCreator Software?

Or alternatively, is there a way to make a mod compatible with another version?

Last seen on 03:11, 29. Nov 2022
Joined Dec 2017
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
You would have to download…
Mon, 11/28/2022 - 00:52

You would have to download and use plugins for that.

Go to MCreator's plugin page, they have a few plugins for different versions of minecraft.